package com.dcsoft.system.car.mapper;

import com.dcsoft.system.car.domain.TbCarRecord;

import java.util.List;

/**
 * 车辆通行记录Mapper接口
 *
 * @author nichun
 * @date 2023-07-26
 */
public interface TbCarRecordMapper
{
    /**
     * 查询车辆通行记录
     *
     * @param id 车辆通行记录主键
     * @return 车辆通行记录
     */
    public TbCarRecord selectTbCarRecordById(Long id);

    /**
     * 查询车辆通行记录列表
     *
     * @param tbCarRecord 车辆通行记录
     * @return 车辆通行记录集合
     */
    public List<TbCarRecord> selectTbCarRecordList(TbCarRecord tbCarRecord);

    /**
     * 新增车辆通行记录
     *
     * @param tbCarRecord 车辆通行记录
     * @return 结果
     */
    public int insertTbCarRecord(TbCarRecord tbCarRecord);

    /**
     * 修改车辆通行记录
     *
     * @param tbCarRecord 车辆通行记录
     * @return 结果
     */
    public int updateTbCarRecord(TbCarRecord tbCarRecord);

    /**
     * 删除车辆通行记录
     *
     * @param id 车辆通行记录主键
     * @return 结果
     */
    public int deleteTbCarRecordById(Long id);

    /**
     * 批量删除车辆通行记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbCarRecordByIds(Long[] ids);
}
